﻿@model Mandiri.Lelang.ViewModel.Web.ResetPasswordViewModel

<div class="container">
    <ol class="breadcrumb">
        <li><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
        <li><a href="/member/reset">Reset Password</a></li>
    </ol>
    <div class="col-lg-12">
        <div class="well bs-component">
            @using (Html.BeginForm("SubmitResetPasswordForm", "Member", FormMethod.Post, new { id = "addForm", role = "form", autocomplete = "off" }))
            {
                @Html.AntiForgeryToken()
                <fieldset>
                    <legend>Reset Password</legend>
                    <div style="margin: 15px;">
                        @if (Model.IsResetPasswordTokenValid)
                        {                        
                            @Html.HiddenFor(m => m.Email)
                            @Html.HiddenFor(m => m.Token)
                            <div class="form-group" style="width: 280px;">
                                @Html.LabelFor(m => m.Password, new { @class = "control-label" })
                                @Html.PasswordFor(m => m.Password, new { placeholder = "Harus Diisi", @class = "form-control", data_toggle = "password" })
                                @Html.ValidationMessageFor(m => m.Password, null, new { @class = "help-block", style = "color: red !important;" })
                            </div>
                            <div class="form-group" style="width: 280px;">
                                @Html.LabelFor(m => m.ConfirmPassword, new { @class = "control-label" })
                                @Html.PasswordFor(m => m.ConfirmPassword, new { placeholder = "Harus Diisi", @class = "form-control", data_toggle = "password" })
                                @Html.ValidationMessageFor(m => m.ConfirmPassword, null, new { @class = "help-block", style = "color: red !important;" })
                            </div>
                            <div class="form-group">
                                <div>
                                    <button type="submit" class="btn btn-primary">Reset Password</button>
                                </div>
                            </div>
                            @Html.ValidationSummary(null, new { style = "color: red !important;" })
                            if (Model.IsResetPasswordSuccess)
                            {
                            <div class="alert alert-success" role="alert">@Model.ResetPasswordMessage @Html.ActionLink("Login", "login", "member", null, htmlAttributes: new { @class = "text-primary" })</div>
                            }
                        }
                        else
                        {
                            <div class="alert alert-danger" role="alert">@Model.ResetPasswordMessage</div>
                        }
                    </div>
                </fieldset>
            }
        </div>
    </div>
</div>
